> For the complete documentation index, see [llms.txt](https://help.branch.io/llms.txt).

# Daily Exports API

Export all device-level data from a specific day.

[Read the Daily Exports API overview](https://help.branch.io/apidocs/daily-exports/overview.md)

## Request daily export

`POST https://api2.branch.io/v3/export`

Export all device-level data from a specific day.

### Parameters

- `branch_key` (string, required) — The Branch Key of the originating app obtained in your [Account Settings](https://help.branch.io/account-hub/profile-settings.md).
- `branch_secret` (string, required) — The Branch Secret of the originating app obtained in your [Account Settings](https://help.branch.io/account-hub/profile-settings.md).
- `export_date` (string, required) — The UTC date of the requested data export.

### Responses

- `200` — Status of aggregate export.
- `400` — Bad request—typically an invalid or missing credential or parameter.
- `429` — Rate limit exceeded—reduce request frequency and retry.

### Returns

Status of aggregate export. Returns `400` and `429` on failure — see the response panel for the error shape.

### Example request

```bash
curl 'https://api2.branch.io/v3/export' \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
    "branch_key": "key_live_xxxx",
    "branch_secret": "secret_live_xxxx",
    "export_date": "2023-05-19"
  }'
```

### Example responses

`200`

```json
{
  "eo_branch_cta_view": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_branch_cta_view/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_click": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_click/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_commerce_event": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_commerce_event/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_content_event": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_content_event/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_custom_event": [
    ""
  ],
  "eo_impression": [
    ""
  ],
  "eo_install": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_install/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_open": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_open/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_pageview": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_pageview/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_reinstall": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_reinstall/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_user_lifecycle_event": [
    ""
  ],
  "eo_web_session_start": [
    "https://branch-exports-web-usw2.s3.us-west-1.amazonaws.com/api_export/y%3D2023/m%3D05/d%3D19/app_id%3D{APP_ID}/topic%3Deo_web_session_start/unique-csv-file-name-here.csv.gz?X-Amz-Algorithm={AMZ_ALGORITHM}&X-Amz-Date={AMZ_DATE}&X-Amz-SignedHeaders={AMZ_SIGNED_HEADERS}&X-Amz-Expires={AMZ_EXPIRATION}&X-Amz-Credential={AMZ_CREDENTIAL}&X-Amz-Signature={AMZ_SIGNATURE}\n"
  ],
  "eo_web_to_app_auto_redirect": [
    ""
  ],
  "eo_dismissal": [
    ""
  ]
}
```

`400`

```json
{
  "error": {
    "message": "Authentication failed.",
    "code": 400
  }
}
```

`429`

```json
{
  "error": {
    "code": 429,
    "message": "Rate limit reached."
  }
}
```
